<template>
  <!-- 修改销售计划 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">销售计划</span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="282" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/ams/getAmsSalePlanByPlanId?planId=" +
            this.$route.params.planId
        )
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.resultId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let amsSalePlan = {
        planId: this.$route.params.planId,
        insertUsername: this.form1.insertUsername,
        insertTime: sjTime(this.form1.insertTime),
        insertUpdateRemark: this.form1.insertUpdateRemark,
      };
      if (
        amsSalePlan.insertUsername == null ||
        amsSalePlan.insertTime == null ||
        amsSalePlan.insertUpdateRemark == null
      )
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/ams/upadteAmsSalePlanByPlanId",
            amsSalePlan
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$router.go(-1);
            }
          });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>